ErrorType
Date: 2009-06-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## badpenguin.dkim
Enum ErrorType

    java.lang.Object
      java.lang.Enum<ErrorType>
          badpenguin.dkim.ErrorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ErrorType>

    public enum ErrorType

extends java.lang.Enum<ErrorType>

This class contains the error groups that will be thrown by the Library. All DkimExceptions will hold information about the type of error...

NOSIG -- There was no Dkim or DomainKey Signature
TEMPFAIL -- Failed to verify Signature, but it may verify in future
PERMFAIL -- Siganture will never verify
LIBERROR -- The JavaDKIM library encountered an error

Author:
  Mark Boddington <dk_NO_im@_SP_bad_AM_penguin.co.uk>
  http://www.badpenguin.co.uk

Enum Constant Summary
`LIBERROR`
`NOSIG` There was no DKIM or DomainKey Signature in the message
`PASS` The message Signature passed validation ;-)
`PERMFAIL` Permenant Failure encountered.
`TEMPFAIL` Temporary Failure encountered.

Method Summary
`java.lang.String` | `getDescription()` Get the detailed description of this ErrorType
`int` | `getErrorCode()` Return the error code for this ErrorType
`static ErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOSIG

    public static final ErrorType NOSIG

  There was no DKIM or DomainKey Signature in the message

### PASS

    public static final ErrorType PASS

  The message Signature passed validation ;-)

### TEMPFAIL

    public static final ErrorType TEMPFAIL

  Temporary Failure encountered. Message may validate later

### PERMFAIL

    public static final ErrorType PERMFAIL

  Permenant Failure encountered. Message will never validate

### LIBERROR

    public static final ErrorType LIBERROR

Method Detail

### values

    public static ErrorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorType c : ErrorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getDescription

    public java.lang.String getDescription()

  Get the detailed description of this ErrorType

  Returns:
    description

### getErrorCode

    public int getErrorCode()

  Return the error code for this ErrorType

  Returns:
    error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© Copyright 2009 Mark Boddington (www.badpenguin.co.uk)